package com.yihu.wlyy.entity.patient;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

/**
 * 患者病历片断记录表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_patient_medical_records_item")
public class PatientMedicalRecordsItem extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8366662181623260760L;

	// 病历记录标识
	private String record;
	// 片段标识
	private String part;
	// 片段名称
	private String partName;
	// 片段内容
	private String content;
	// 添加时间
	private Date czrq;

	public String getRecord() {
		return record;
	}

	public void setRecord(String record) {
		this.record = record;
	}

	public String getPart() {
		return part;
	}

	public void setPart(String part) {
		this.part = part;
	}

	@Column(name = "part_name")
	public String getPartName() {
		return partName;
	}

	public void setPartName(String partName) {
		this.partName = partName;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}

}
